Bug 196793 - (php-pear-MDB2) Review Request: php-pear-MDB2 - Database Abstraction Layer
Review Request: php-pear-MDB2 - Database Abstraction Layer
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Package Reviews List
:
Depends On: 196802
Blocks: FE-ACCEPT php-pear-Log
  Show dependency treegraph
 
Reported: 2006-06-26 21:15 EDT by Christopher Stone
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-06 18:16:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jwboyer: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2006-06-26 21:15:33 EDT
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pear-MDB2.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pear-MDB2-2.1.0-1.src.rpm

Description:
PEAR::MDB2 is a merge of the PEAR::DB and Metabase php database abstraction
layers.

It provides a common API for all supported RDBMS. The main difference to most
other DB abstraction packages is that MDB2 goes much further to ensure
portability.
Comment 1 Brandon Holbrook 2006-06-28 22:15:32 EDT
MUST ITEMS:
+ No rpmlint output
+ name OK
+ meets packaging guidelines
+ BSD license, not included
+ spec in legible American English
+ source matches upstream
fc452e0e48c2ad67ca8e0af41c462535  MDB2-2.1.0.tgz
+ builds on FC5 i386
+ appropriate BuildRequires
+ no locales
+ no shared libraries
+ not relocatable
+ does not create directories
+ no duplicate %files
+ OK permissions
+ OK %clean section
+ consistent macros
+ OK code / content
+ no large documentation
+ benign %docs
+ no header files or static libraries
+ no pkgconfig
+ no .so libraries
+ no devel package
+ no .la files
+ no GUI
+ does not share files or directories with others

SHOULD:
- does NOT include license from upstream

Approved, IMHO, though including a BSD license would be nice :)  Also, I can't
officially change the status to FE-ACCEPT, somebody else will have to do that.
Comment 2 Christopher Stone 2006-06-28 22:18:16 EDT
I asked tibbs to look into sponsering you last night, I'll nudge him again
tonight and see if he can get you to approve this package for me. 

Thanks for the review!
Comment 3 Brandon Holbrook 2006-06-28 22:21:16 EDT
Likewise!

One last thing I forgot to mention, %build is empty, and should probably just be
removed altogether... but not a showstopper
Comment 4 Christopher Stone 2006-06-29 02:34:32 EDT
I have updated the spec file to remove the %build, the only reference to a
license I could find was on http://pear.php.net/package/MDB2 which just links to
a license template.  I could not find any reference to an actual license at the
packages external home page http://oss.backendmedia.com/index.php?area=MDB2
Comment 5 Christopher Stone 2006-06-29 02:40:04 EDT
ah nevermind, the license is at the top of the source files, so it is already
included in every file.  I can cut&paste one of these text files for the license.
Comment 6 Christopher Stone 2006-06-29 02:53:33 EDT
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pear-MDB2.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pear-MDB2-2.1.0-2.src.rpm

%changelog
* Wed Jun 28 2006 Christopher Stone <chris.stone@gmail.com> 2.1.0-2
- Remove %%build section since it is not used
- Add LICENSE to %%doc
Comment 7 Christopher Stone 2006-06-29 03:26:09 EDT
Hey, I have put up another version here:
http://tkmame.retrogames.com/fedora-extras/php-pear-MDB2.spec

The main difference is that it puts the documentation in both the Fedora
standard location AND the pear standard location.

The result is a much cleaner looking spec file, tell me what you think.
Comment 8 Ville Skyttä 2006-06-29 04:53:11 EDT
I can't access the specfile URL at the moment to check, but note that especially
if this is not a noarch package, removing the %build section (even if it's
empty) is not a good idea, see bug 192422.  Even if it is noarch, I'd recommend
keeping it to avoid similar nasty surprises in the future.
Comment 9 Christopher Stone 2006-06-29 05:06:59 EDT
It's noarch
Comment 10 Christopher Stone 2006-09-03 21:05:52 EDT
Update SPEC file and SRPM to match latest template

SPEC: http://tkmame.retrogames.com/fedora-extras/php-pear-MDB2.spec
SRPM: http://tkmame.retrogames.com/fedora-extras/php-pear-MDB2-2.1.0-4.src.rpm
Comment 11 Remi Collet 2006-09-04 13:11:25 EDT
rpmlint is ok.
build in mock succed.

should not you upgrade to latest upstream version (2.2.2 stable) before release it ?

Requires php version is 4.3.2.


I think i could(will) do the review for you.
Comment 12 Christopher Stone 2006-09-04 16:51:37 EDT
Yes you are correct, I need to upgrade to 2.2.2

There are still a couple little things being ironed out on the template php
spec, see https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=198706

I'll do an upgrade in the next day or two with these changes for you to formally
review.  Then we can get php-pear-Log out.

Discussions on Fedora packaging mailing list led to the agreement that if the
package requires a php version of < 5.x then it's not needed because no
supported Fedora distributions use a php version older than this.
Comment 13 Christopher Stone 2006-09-06 14:02:54 EDT
SPEC: http://tkmame.retrogames.com/fedora-extras/php-pear-MDB2.spec
SRPM: http://tkmame.retrogames.com/fedora-extras/php-pear-MDB2-2.2.2-1.src.rpm

%changelog
* Wed Sep 06 2006 Christopher Stone <chris.stone@gmail.com> 2.2.2-1
- Upstream sync
- Update spec to latest template
Comment 14 Remi Collet 2006-09-06 16:22:29 EDT
Can't assign this bug to myself for the moment.
Will do the review ASAP.
Comment 15 Remi Collet 2006-09-06 17:44:36 EDT
Build and install fine on FC5.
rpmlint is ok.
previous version build in mock (mock broken for me on this moment).
all MUST items are OK.
Great job done on this template.

I also though "including a BSD license would be nice :)" but i never find one
good copy.

APPROVED.
Comment 16 Christopher Stone 2007-04-23 20:22:07 EDT
Branch Package CVS Request
=======================
Package Name: php-pear-MDB2
Short Description: Database Abstraction Layer
Owners: chris.stone@gmail.com
Branches: EL-5
InitialCC: 


Note You need to log in before you can comment on or make changes to this bug.